# How to limit the number of deactivations

QLM provides 3 [server properties](/docs/qlm-license-server/server-properties.md) that you can use to control the number of allowed deactivations.

**maxReleaseCount**: The maximum number of times an end-user can release a license.

**maxReleasePerClient**: When counting the number of released licenses for a given activation key, count only the ones associated to a specific client. By default, QLM counts all the released licenses for a given activation regardless of the client system.

**maxReleasePeriodInDays**: When counting the number of released licenses, only count the ones that have been released in the past "maxReleasePeriodInDays" days. For example, if you want to allow a user to release a license twice per month, set maxReleasePeriodInDays to 30 and maxReleaseCount to 2.

![mceclip1.png](https://support.soraco.co/hc/article_attachments/360056445511/mceclip1.png)

&#x20;As of QLM v14, MaxReleaseCount and MaxReleasePeriodInDays can be configured per license. To configure these settings per license, locate a license in the Manage Keys tab, then click Edit and update these settings are required.

![mceclip3.png](https://support.soraco.co/hc/article_attachments/360056292292/mceclip3.png)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.soraco.co/docs/faq/how-to-limit-the-number-of-deactivations.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
